//---------------------------------------------------------------------------

#include <vcl.h>
#include <iterator>
#include "algostuff.hpp"

#include <conio.h> //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main()
{
  vector<int> coll;

  INSERT_ELEMENTS(coll,1,6);
  PRINT_ELEMENTS(coll," :\n");

  //    
  cout << ToRus("   :\n");
  partial_sum (coll.begin(), coll.end(),          // 
               ostream_iterator<int>(cout," "));  // 
  cout << endl;
  //    
  cout << ToRus("   :\n");
  partial_sum (coll.begin(), coll.end(),          // 
               ostream_iterator<int>(cout," "),   // 
               multiplies<int>());                // 
  cout << endl;


  getch();
  return 0;
}

//---------------------------------------------------------------------------